# alertservice.query

Sent on alertservice changes.

Type: object

##

#### AlertServiceAddedEvent

Type: object
No Additional Properties

##

#### Id

Type: integer

##

#### AlertServiceEntry

Type: object
No Additional Properties

##

#### Name

Type: string

Human-readable name for the alert service.

Must be at least `1` characters long

##

#### Attributes

Service-specific configuration attributes (credentials, endpoints, etc.).

## One of

#### AWSSNSServiceModel

Type: object
No Additional Properties

##

#### Type

Type: const

Alert service type identifier for Amazon SNS.

Specific value: `"AWSSNS"`

##

#### Region

Type: string

AWS region where the SNS topic is located.

Must be at least `1` characters long

##

#### Topic Arn

Type: string

Amazon Resource Name (ARN) of the SNS topic to publish alerts to.

Must be at least `1` characters long

##

#### Aws Access Key Id

Type: string

AWS access key ID for authentication.

Must be at least `1` characters long

##

#### Aws Secret Access Key

Type: string

AWS secret access key for authentication.

Must be at least `1` characters long

#### InfluxDBServiceModel

Type: object
No Additional Properties

##

#### Type

Type: const

Alert service type identifier for InfluxDB.

Specific value: `"InfluxDB"`

##

#### Host

Type: string

InfluxDB server hostname or IP address.

Must be at least `1` characters long

##

#### Username

Type: string

Username for InfluxDB authentication.

Must be at least `1` characters long

##

#### Password

Type: string

Password for InfluxDB authentication.

Must be at least `1` characters long

##

#### Database

Type: string

InfluxDB database name to store alert data.

Must be at least `1` characters long

##

#### Series Name

Type: string

Name of the time series to store alert events.

Must be at least `1` characters long

#### MailServiceModel

Type: object
No Additional Properties

##

#### Type

Type: const

Alert service type identifier for email notifications.

Specific value: `"Mail"`

##

#### Email

Type: string Default: ""

Email address to send alerts to. Empty string uses system default.

#### MattermostServiceModel

Type: object
No Additional Properties

##

#### Type

Type: const

Alert service type identifier for Mattermost.

Specific value: `"Mattermost"`

##

#### Url

Type: string Format: uri

Mattermost webhook URL for posting alerts.

Must be at least `1` characters long

Must be at most `2083` characters long

##

#### Username

Type: string

Username to display when posting alerts to Mattermost.

Must be at least `1` characters long

##

#### Channel

Type: string Default: ""

Mattermost channel name to post alerts to. Empty string uses webhook default.

##

#### Icon Url

Default: ""

URL of icon image to display with alert messages. Empty string uses default.

## Any of

Type: const
Specific value: `""`
Type: string Format: uri

Must be at least `1` characters long

Must be at most `2083` characters long

#### OpsGenieServiceModel

Type: object
No Additional Properties

##

#### Type

Type: const

Alert service type identifier for OpsGenie.

Specific value: `"OpsGenie"`

##

#### Api Key

Type: string

OpsGenie API key for authentication.

Must be at least `1` characters long

##

#### Api Url

Default: ""

OpsGenie API URL. Empty string uses default OpsGenie endpoint.

## Any of

Type: const
Specific value: `""`
Type: string Format: uri

Must be at least `1` characters long

Must be at most `2083` characters long

#### PagerDutyServiceModel

Type: object
No Additional Properties

##

#### Type

Type: const

Alert service type identifier for PagerDuty.

Specific value: `"PagerDuty"`

##

#### Service Key

Type: string

PagerDuty service integration key for sending alerts.

Must be at least `1` characters long

##

#### Client Name

Type: string

Client name to identify the source of alerts in PagerDuty.

Must be at least `1` characters long

#### SlackServiceModel

Type: object
No Additional Properties

##

#### Type

Type: const

Alert service type identifier for Slack.

Specific value: `"Slack"`

##

#### Url

Type: string Format: uri

Slack webhook URL for posting alert messages.

Must be at least `1` characters long

Must be at most `2083` characters long

#### SNMPTrapServiceModel

Type: object
No Additional Properties

##

#### Type

Type: const

Alert service type identifier for SNMP traps.

Specific value: `"SNMPTrap"`

##

#### Host

Type: string

SNMP trap receiver hostname or IP address.

##

#### Port

Type: integer

TCP port number for SNMP trap receiver.

Value must be greater or equal to `1` and lesser or equal to `65535`

##

#### V3

Type: boolean

Whether to use SNMP v3 instead of v1/v2c.

##

#### Community

Default: null

SNMP community string for v1/v2c authentication or `null` for v3.

## Any of

Type: string

Must be at least `1` characters long

Type: null

##

#### V3 Username

Default: null

SNMP v3 username for authentication or `null` for v1/v2c.

## Any of

Type: string

Must be at least `1` characters long

Type: null

##

#### V3 Authkey

Default: null

SNMP v3 authentication key or `null` if not using authentication.

## Any of

Type: string

Must be at least `1` characters long

Type: null

##

#### V3 Privkey

Default: null

SNMP v3 privacy key for encryption or `null` if not using privacy.

## Any of

Type: string

Must be at least `1` characters long

Type: null

##

#### V3 Authprotocol

Type: enum (of null or string) Default: null

SNMP v3 authentication protocol or `null` for no authentication.

##### Must be one of:

- null
- "MD5"
- "SHA"
- "128SHA224"
- "192SHA256"
- "256SHA384"
- "384SHA512"

##

#### V3 Privprotocol

Type: enum (of null or string) Default: null

SNMP v3 privacy protocol for encryption or `null` for no privacy.

##### Must be one of:

- null
- "DES"
- "3DESEDE"
- "AESCFB128"
- "AESCFB192"
- "AESCFB256"
- "AESBLUMENTHALCFB192"
- "AESBLUMENTHALCFB256"

#### TelegramServiceModel

Type: object
No Additional Properties

##

#### Type

Type: const

Alert service type identifier for Telegram.

Specific value: `"Telegram"`

##

#### Bot Token

Type: string

Telegram bot token for API authentication.

Must be at least `1` characters long

##

#### Chat Ids

Type: array of integer

List of Telegram chat IDs to send alerts to (minimum 1 required).

Must contain a minimum of `1` items

No Additional Items

##### Each item of this array must be:

Type: integer

#### VictorOpsServiceModel

Type: object
No Additional Properties

##

#### Type

Type: const

Alert service type identifier for VictorOps (now Splunk On-Call).

Specific value: `"VictorOps"`

##

#### Api Key

Type: string

VictorOps API key for authentication.

Must be at least `1` characters long

##

#### Routing Key

Type: string

VictorOps routing key to determine alert destination and escalation policy.

Must be at least `1` characters long

##

#### Level

Type: enum (of string)

Minimum alert severity level that triggers notifications through this service.

##### Must be one of:

- "INFO"
- "NOTICE"
- "WARNING"
- "ERROR"
- "CRITICAL"
- "ALERT"
- "EMERGENCY"

##

#### Enabled

Type: boolean Default: true

Whether the alert service is active and will send notifications.

##

#### Id

Type: integer

Unique identifier for the alert service.

##

#### Type Title

Type: string

Human-readable title for the alert service type.

##

#### AlertServiceChangedEvent

Type: object
No Additional Properties

##

#### Id

Type: integer

##

#### AlertServiceEntry

Type: object
No Additional Properties

##

#### Name

Type: string

Human-readable name for the alert service.

Must be at least `1` characters long

##

#### Attributes

Service-specific configuration attributes (credentials, endpoints, etc.).

## One of

#### AWSSNSServiceModel

Type: object
No Additional Properties

##

#### Type

Type: const

Alert service type identifier for Amazon SNS.

Specific value: `"AWSSNS"`

##

#### Region

Type: string

AWS region where the SNS topic is located.

Must be at least `1` characters long

##

#### Topic Arn

Type: string

Amazon Resource Name (ARN) of the SNS topic to publish alerts to.

Must be at least `1` characters long

##

#### Aws Access Key Id

Type: string

AWS access key ID for authentication.

Must be at least `1` characters long

##

#### Aws Secret Access Key

Type: string

AWS secret access key for authentication.

Must be at least `1` characters long

#### InfluxDBServiceModel

Type: object
No Additional Properties

##

#### Type

Type: const

Alert service type identifier for InfluxDB.

Specific value: `"InfluxDB"`

##

#### Host

Type: string

InfluxDB server hostname or IP address.

Must be at least `1` characters long

##

#### Username

Type: string

Username for InfluxDB authentication.

Must be at least `1` characters long

##

#### Password

Type: string

Password for InfluxDB authentication.

Must be at least `1` characters long

##

#### Database

Type: string

InfluxDB database name to store alert data.

Must be at least `1` characters long

##

#### Series Name

Type: string

Name of the time series to store alert events.

Must be at least `1` characters long

#### MailServiceModel

Type: object
No Additional Properties

##

#### Type

Type: const

Alert service type identifier for email notifications.

Specific value: `"Mail"`

##

#### Email

Type: string Default: ""

Email address to send alerts to. Empty string uses system default.

#### MattermostServiceModel

Type: object
No Additional Properties

##

#### Type

Type: const

Alert service type identifier for Mattermost.

Specific value: `"Mattermost"`

##

#### Url

Type: string Format: uri

Mattermost webhook URL for posting alerts.

Must be at least `1` characters long

Must be at most `2083` characters long

##

#### Username

Type: string

Username to display when posting alerts to Mattermost.

Must be at least `1` characters long

##

#### Channel

Type: string Default: ""

Mattermost channel name to post alerts to. Empty string uses webhook default.

##

#### Icon Url

Default: ""

URL of icon image to display with alert messages. Empty string uses default.

## Any of

Type: const
Specific value: `""`
Type: string Format: uri

Must be at least `1` characters long

Must be at most `2083` characters long

#### OpsGenieServiceModel

Type: object
No Additional Properties

##

#### Type

Type: const

Alert service type identifier for OpsGenie.

Specific value: `"OpsGenie"`

##

#### Api Key

Type: string

OpsGenie API key for authentication.

Must be at least `1` characters long

##

#### Api Url

Default: ""

OpsGenie API URL. Empty string uses default OpsGenie endpoint.

## Any of

Type: const
Specific value: `""`
Type: string Format: uri

Must be at least `1` characters long

Must be at most `2083` characters long

#### PagerDutyServiceModel

Type: object
No Additional Properties

##

#### Type

Type: const

Alert service type identifier for PagerDuty.

Specific value: `"PagerDuty"`

##

#### Service Key

Type: string

PagerDuty service integration key for sending alerts.

Must be at least `1` characters long

##

#### Client Name

Type: string

Client name to identify the source of alerts in PagerDuty.

Must be at least `1` characters long

#### SlackServiceModel

Type: object
No Additional Properties

##

#### Type

Type: const

Alert service type identifier for Slack.

Specific value: `"Slack"`

##

#### Url

Type: string Format: uri

Slack webhook URL for posting alert messages.

Must be at least `1` characters long

Must be at most `2083` characters long

#### SNMPTrapServiceModel

Type: object
No Additional Properties

##

#### Type

Type: const

Alert service type identifier for SNMP traps.

Specific value: `"SNMPTrap"`

##

#### Host

Type: string

SNMP trap receiver hostname or IP address.

##

#### Port

Type: integer

TCP port number for SNMP trap receiver.

Value must be greater or equal to `1` and lesser or equal to `65535`

##

#### V3

Type: boolean

Whether to use SNMP v3 instead of v1/v2c.

##

#### Community

Default: null

SNMP community string for v1/v2c authentication or `null` for v3.

## Any of

Type: string

Must be at least `1` characters long

Type: null

##

#### V3 Username

Default: null

SNMP v3 username for authentication or `null` for v1/v2c.

## Any of

Type: string

Must be at least `1` characters long

Type: null

##

#### V3 Authkey

Default: null

SNMP v3 authentication key or `null` if not using authentication.

## Any of

Type: string

Must be at least `1` characters long

Type: null

##

#### V3 Privkey

Default: null

SNMP v3 privacy key for encryption or `null` if not using privacy.

## Any of

Type: string

Must be at least `1` characters long

Type: null

##

#### V3 Authprotocol

Type: enum (of null or string) Default: null

SNMP v3 authentication protocol or `null` for no authentication.

##### Must be one of:

- null
- "MD5"
- "SHA"
- "128SHA224"
- "192SHA256"
- "256SHA384"
- "384SHA512"

##

#### V3 Privprotocol

Type: enum (of null or string) Default: null

SNMP v3 privacy protocol for encryption or `null` for no privacy.

##### Must be one of:

- null
- "DES"
- "3DESEDE"
- "AESCFB128"
- "AESCFB192"
- "AESCFB256"
- "AESBLUMENTHALCFB192"
- "AESBLUMENTHALCFB256"

#### TelegramServiceModel

Type: object
No Additional Properties

##

#### Type

Type: const

Alert service type identifier for Telegram.

Specific value: `"Telegram"`

##

#### Bot Token

Type: string

Telegram bot token for API authentication.

Must be at least `1` characters long

##

#### Chat Ids

Type: array of integer

List of Telegram chat IDs to send alerts to (minimum 1 required).

Must contain a minimum of `1` items

No Additional Items

##### Each item of this array must be:

Type: integer

#### VictorOpsServiceModel

Type: object
No Additional Properties

##

#### Type

Type: const

Alert service type identifier for VictorOps (now Splunk On-Call).

Specific value: `"VictorOps"`

##

#### Api Key

Type: string

VictorOps API key for authentication.

Must be at least `1` characters long

##

#### Routing Key

Type: string

VictorOps routing key to determine alert destination and escalation policy.

Must be at least `1` characters long

##

#### Level

Type: enum (of string)

Minimum alert severity level that triggers notifications through this service.

##### Must be one of:

- "INFO"
- "NOTICE"
- "WARNING"
- "ERROR"
- "CRITICAL"
- "ALERT"
- "EMERGENCY"

##

#### Enabled

Type: boolean Default: true

Whether the alert service is active and will send notifications.

##

#### Id

Type: integer

Unique identifier for the alert service.

##

#### Type Title

Type: string

Human-readable title for the alert service type.

##

#### AlertServiceRemovedEvent

Type: object
No Additional Properties

##

#### Id

Type: integer

Required roles: ALERT_READ